package com.zcloud.util;


import java.text.SimpleDateFormat;
import java.util.Date;

public class MqUtil {

    private final static SimpleDateFormat timeFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss:SSS");

    public static Integer analysisTime(String time) throws Exception{
        Date agreed_date = timeFormat.parse(time.replaceAll("/","-"));
        long time_difference = agreed_date.getTime() - new Date().getTime();
        if (time_difference < 0){
            return 0;
        }
        if (time_difference > 2*60*60*1000){
            return 18;
        }
        if (time_difference > 60 * 60 * 1000){
            return 17;
        }
        if (time_difference > 30 * 60 * 1000){
            return 16;
        }
        if (time_difference > 20 * 60 * 1000){
            return 15;
        }
        if (time_difference > 10 * 60 * 1000){
            return 14;
        }
        if (time_difference > 9 * 60 * 1000){
            return 13;
        }
        if (time_difference > 8 * 60 * 1000){
            return 12;
        }
        if (time_difference > 7 * 60 * 1000){
            return 11;
        }
        if (time_difference > 6 * 60 * 1000){
            return 10;
        }
        if (time_difference > 5 * 60 * 1000){
            return 9;
        }
        if (time_difference > 4 * 60 * 1000){
            return 8;
        }
        if (time_difference > 3 * 60 * 1000){
            return 7;
        }
        if (time_difference > 2 * 60 * 1000){
            return 6;
        }
        if (time_difference > 60 * 1000){
            return 5;
        }
        if (time_difference > 30 * 1000){
            return 4;
        }
        if (time_difference > 10 * 1000){
            return 3;
        }
        if (time_difference > 5 * 1000){
            return 2;
        }
        if (time_difference > 1000){
            return 1;
        }
        return 0;
    }

    public static Date dateFormat(String date) throws Exception{
        return timeFormat.parse(date.replaceAll("/","-"));
    }
}
